{
  "ResponseInfo" : {
    "type" : "Success",
    "code" : "00000"
  },
  "Page" : {
    "template" : "list",
    "pageType" : "x",
    "formRules": [{
      "groupName": "default",
      "rules": [{
          "type": "anyValueChanged",
          "fields": [
            "c1"
          ]
        }]
    }],
    "header" : {
      "moleculeName" : "header",
      "molecule" : {
        "moleculeName" : "headlineBody",
        "headline" : {
          "moleculeName" : "label",
          "text" : "x"
        },
        "body" : {
          "moleculeName" : "label",
          "text" : "y"
        }
      }
    },
    "molecules" : [{
    "moleculeName":"listItem",
    "molecule":{
      "moleculeName" : "carousel",
      "accessibilityText":"carousel",
      "fieldKey": "c1",
      "index": 1,
      "selectedindex": 1,
      "itemWidthPercent": 80,
      "selectable": true,
   "loop":true,
   "pagingMolecule": {
       "moleculeName":"barsCarouselIndicator"
   },
      "molecules" : [
        {
          "moleculeName" : "carouselItem",
         "backgroundColor":"red",
          "molecule" : {
            "moleculeName" : "label",
            "text" : "1"
          }
        },
        {
          "moleculeName" : "carouselItem",
         "backgroundColor":"blue",
          "molecule" : {
            "moleculeName" : "label",
            "text" : "2"
          }
        },
{
          "moleculeName" : "carouselItem",
         "backgroundColor":"green",
          "molecule" : {
            "moleculeName" : "label",
            "text" : "3"
          }
        },
{
          "moleculeName" : "carouselItem",
         "backgroundColor":"green",
          "molecule" : {
            "moleculeName" : "label",
            "text" : "4"
          }
        }
      ],
      "height" : 300
    }},{
        "moleculeName":"listItem",
        "molecule":{
          "moleculeName" : "carousel",
          "accessibilityText":"carousel",
          "index": 0,
          "selectedIndex": 0,
       "loop":true,
       "pagingMolecule": {
           "moleculeName":"barsCarouselIndicator"
       },
          "molecules" : [
            {
              "moleculeName" : "carouselItem",
             "backgroundColor":"red",
              "molecule" : {
                "moleculeName" : "label",
                "text" : "1"
              }
            },
            {
              "moleculeName" : "carouselItem",
             "backgroundColor":"blue",
              "molecule" : {
                "moleculeName" : "label",
                "text" : "2"
              }
            },
    {
              "moleculeName" : "carouselItem",
             "backgroundColor":"green",
              "molecule" : {
                "moleculeName" : "label",
                "text" : "3"
              }
            }
          ],
          "height" : 300
        }},{
            "moleculeName":"listItem",
            "molecule":{
              "moleculeName" : "carousel",
              "accessibilityText":"carousel",
              "fieldKey": "c1",
              "index": 0,
              "selectedIndex": 0,
           "loop":true,
           "pagingMolecule": {
               "moleculeName":"barsCarouselIndicator",
               "hidesForSinglePage": true
           },
              "molecules" : [
                {
                  "moleculeName" : "carouselItem",
                 "backgroundColor":"red",
                  "molecule" : {
                    "moleculeName" : "label",
                    "text" : "1"
                  }
                }
              ],
              "height" : 300
            }},{
                "moleculeName":"listItem",
                "molecule":{
                  "moleculeName" : "carousel",
                  "accessibilityText":"carousel",
                  "fieldKey": "c1",
                  "index": 1,
                  "selectedindex": 1,
               "loop":true,
               "pagingMolecule": {
                   "moleculeName":"numericCarouselIndicator"
               },
                  "molecules" : [
                    {
                      "moleculeName" : "carouselItem",
                     "backgroundColor":"red",
                      "molecule" : {
                        "moleculeName" : "label",
                        "text" : "1"
                      }
                    },
                    {
                      "moleculeName" : "carouselItem",
                     "backgroundColor":"blue",
                      "molecule" : {
                        "moleculeName" : "label",
                        "text" : "2"
                      }
                    },
            {
                      "moleculeName" : "carouselItem",
                     "backgroundColor":"green",
                      "molecule" : {
                        "moleculeName" : "label",
                        "text" : "3"
                      }
                    }
                  ],
                  "height" : 300
                }},{
                    "moleculeName":"listItem",
                    "molecule":{
                      "moleculeName" : "carousel",
                      "accessibilityText":"carousel",
                      "index": 0,
                      "selectedIndex": 0,
                   "loop":true,
                   "pagingMolecule": {
                       "moleculeName":"barsCarouselIndicator"
                   },
                      "molecules" : [
                        {
                          "moleculeName" : "carouselItem",
                         "backgroundColor":"red",
                          "molecule" : {
                            "moleculeName" : "label",
                            "text" : "1"
                          }
                        },
                        {
                          "moleculeName" : "carouselItem",
                         "backgroundColor":"blue",
                          "molecule" : {
                            "moleculeName" : "label",
                            "text" : "2"
                          }
                        },
                {
                          "moleculeName" : "carouselItem",
                         "backgroundColor":"green",
                          "molecule" : {
                            "moleculeName" : "label",
                            "text" : "3"
                          }
                        }
                      ],
                      "height" : 300
                    }},
                {
                    "moleculeName":"listItem",
                    "molecule":{
                      "moleculeName" : "carousel",
                      "accessibilityText":"carousel",
                      "index": 0,
                      "selectedIndex": 0,
                   "loop":true,
                   "pagingMolecule": {
                       "moleculeName":"barsCarouselIndicator"
                   },
                      "molecules" : [
                        {
                          "moleculeName" : "carouselItem",
                         "backgroundColor":"red",
                          "molecule" : {
                            "moleculeName" : "label",
                            "text" : "1"
                          }
                        }
                      ],
                      "height" : 300
                    }},
                {
                    "moleculeName":"listItem",
                    "molecule":{
                      "moleculeName" : "carousel",
                      "accessibilityText":"carousel",
                      "index": 0,
                      "selectedIndex": 0,
                   "loop":true,
                   "pagingMolecule": {
                       "moleculeName":"numericCarouselIndicator"
                   },
                      "molecules" : [
                          {
                            "moleculeName" : "carouselItem",
                           "backgroundColor":"red",
                            "molecule" : {
                              "moleculeName" : "label",
                              "text" : "0"
                            }
                          },
                        {
                          "moleculeName" : "carouselItem",
                         "backgroundColor":"red",
                          "molecule" : {
                            "moleculeName" : "label",
                            "text" : "1"
                          }
                        },
                        {
                          "moleculeName" : "carouselItem",
                         "backgroundColor":"blue",
                          "molecule" : {
                            "moleculeName" : "label",
                            "text" : "2"
                          }
                        },
                {
                          "moleculeName" : "carouselItem",
                         "backgroundColor":"green",
                          "molecule" : {
                            "moleculeName" : "label",
                            "text" : "3"
                          }
                        }
                      ],
                      "height" : 300
                    }},{
                        "moleculeName":"listItem",
                        "molecule":{
                          "moleculeName" : "carousel",
                          "accessibilityText":"carousel",
                          "fieldKey": "c1",
                          "index": 1,
                          "selectedindex": 1,
                       "loop":true,
                       "pagingMolecule": {
                           "moleculeName":"barsCarouselIndicator"
                       },
                          "molecules" : [
                            {
                              "moleculeName" : "carouselItem",
                             "backgroundColor":"red",
                              "molecule" : {
                                "moleculeName" : "label",
                                "text" : "1"
                              }
                            },
                            {
                              "moleculeName" : "carouselItem",
                             "backgroundColor":"blue",
                              "molecule" : {
                                "moleculeName" : "label",
                                "text" : "2"
                              }
                            },
                    {
                              "moleculeName" : "carouselItem",
                             "backgroundColor":"green",
                              "molecule" : {
                                "moleculeName" : "label",
                                "text" : "3"
                              }
                            },
                    {
                              "moleculeName" : "carouselItem",
                             "backgroundColor":"green",
                              "molecule" : {
                                "moleculeName" : "label",
                                "text" : "4"
                              }
                            }
                          ],
                          "height" : 300
                        }},{
                            "moleculeName":"listItem",
                            "molecule":{
                              "moleculeName" : "carousel",
                              "accessibilityText":"carousel",
                              "index": 0,
                              "selectedIndex": 0,
                           "loop":true,
                           "pagingMolecule": {
                               "moleculeName":"barsCarouselIndicator"
                           },
                              "molecules" : [
                                {
                                  "moleculeName" : "carouselItem",
                                 "backgroundColor":"red",
                                  "molecule" : {
                                    "moleculeName" : "label",
                                    "text" : "1"
                                  }
                                },
                                {
                                  "moleculeName" : "carouselItem",
                                 "backgroundColor":"blue",
                                  "molecule" : {
                                    "moleculeName" : "label",
                                    "text" : "2"
                                  }
                                },
                        {
                                  "moleculeName" : "carouselItem",
                                 "backgroundColor":"green",
                                  "molecule" : {
                                    "moleculeName" : "label",
                                    "text" : "3"
                                  }
                                }
                              ],
                              "height" : 300
                            }},{
                                "moleculeName":"listItem",
                                "molecule":{
                                  "moleculeName" : "carousel",
                                  "accessibilityText":"carousel",
                                  "fieldKey": "c1",
                                  "index": 0,
                                  "selectedIndex": 0,
                               "loop":true,
                               "pagingMolecule": {
                                   "moleculeName":"barsCarouselIndicator",
                                   "hidesForSinglePage": true
                               },
                                  "molecules" : [
                                    {
                                      "moleculeName" : "carouselItem",
                                     "backgroundColor":"red",
                                      "molecule" : {
                                        "moleculeName" : "label",
                                        "text" : "1"
                                      }
                                    }
                                  ],
                                  "height" : 300
                                }},{
                                    "moleculeName":"listItem",
                                    "molecule":{
                                      "moleculeName" : "carousel",
                                      "accessibilityText":"carousel",
                                      "fieldKey": "c1",
                                      "index": 1,
                                      "selectedindex": 1,
                                   "loop":true,
                                   "pagingMolecule": {
                                       "moleculeName":"numericCarouselIndicator"
                                   },
                                      "molecules" : [
                                        {
                                          "moleculeName" : "carouselItem",
                                         "backgroundColor":"red",
                                          "molecule" : {
                                            "moleculeName" : "label",
                                            "text" : "1"
                                          }
                                        },
                                        {
                                          "moleculeName" : "carouselItem",
                                         "backgroundColor":"blue",
                                          "molecule" : {
                                            "moleculeName" : "label",
                                            "text" : "2"
                                          }
                                        },
                                {
                                          "moleculeName" : "carouselItem",
                                         "backgroundColor":"green",
                                          "molecule" : {
                                            "moleculeName" : "label",
                                            "text" : "3"
                                          }
                                        }
                                      ],
                                      "height" : 300
                                    }},{
                                        "moleculeName":"listItem",
                                        "molecule":{
                                          "moleculeName" : "carousel",
                                          "accessibilityText":"carousel",
                                          "index": 0,
                                          "selectedIndex": 0,
                                       "loop":true,
                                       "pagingMolecule": {
                                           "moleculeName":"barsCarouselIndicator"
                                       },
                                          "molecules" : [
                                            {
                                              "moleculeName" : "carouselItem",
                                             "backgroundColor":"red",
                                              "molecule" : {
                                                "moleculeName" : "label",
                                                "text" : "1"
                                              }
                                            },
                                            {
                                              "moleculeName" : "carouselItem",
                                             "backgroundColor":"blue",
                                              "molecule" : {
                                                "moleculeName" : "label",
                                                "text" : "2"
                                              }
                                            },
                                    {
                                              "moleculeName" : "carouselItem",
                                             "backgroundColor":"green",
                                              "molecule" : {
                                                "moleculeName" : "label",
                                                "text" : "3"
                                              }
                                            }
                                          ],
                                          "height" : 300
                                        }},
                                    {
                                        "moleculeName":"listItem",
                                        "molecule":{
                                          "moleculeName" : "carousel",
                                          "accessibilityText":"carousel",
                                          "index": 0,
                                          "selectedIndex": 0,
                                       "loop":true,
                                       "pagingMolecule": {
                                           "moleculeName":"barsCarouselIndicator"
                                       },
                                          "molecules" : [
                                            {
                                              "moleculeName" : "carouselItem",
                                             "backgroundColor":"red",
                                              "molecule" : {
                                                "moleculeName" : "label",
                                                "text" : "1"
                                              }
                                            }
                                          ],
                                          "height" : 300
                                        }},
                                    {
                                        "moleculeName":"listItem",
                                        "molecule":{
                                          "moleculeName" : "carousel",
                                          "accessibilityText":"carousel",
                                          "index": 0,
                                          "selectedIndex": 0,
                                       "loop":true,
                                       "pagingMolecule": {
                                           "moleculeName":"numericCarouselIndicator"
                                       },
                                          "molecules" : [
                                              {
                                                "moleculeName" : "carouselItem",
                                               "backgroundColor":"red",
                                                "molecule" : {
                                                  "moleculeName" : "label",
                                                  "text" : "0"
                                                }
                                              },
                                            {
                                              "moleculeName" : "carouselItem",
                                             "backgroundColor":"red",
                                              "molecule" : {
                                                "moleculeName" : "label",
                                                "text" : "1"
                                              }
                                            },
                                            {
                                              "moleculeName" : "carouselItem",
                                             "backgroundColor":"blue",
                                              "molecule" : {
                                                "moleculeName" : "label",
                                                "text" : "2"
                                              }
                                            },
                                    {
                                              "moleculeName" : "carouselItem",
                                             "backgroundColor":"green",
                                              "molecule" : {
                                                "moleculeName" : "label",
                                                "text" : "3"
                                              }
                                            }
                                          ],
                                          "height" : 300
                                        }},{
                                            "moleculeName":"listItem",
                                            "molecule":{
                                              "moleculeName" : "carousel",
                                              "accessibilityText":"carousel",
                                              "fieldKey": "c1",
                                              "index": 1,
                                              "selectedindex": 1,
                                           "loop":true,
                                           "pagingMolecule": {
                                               "moleculeName":"barsCarouselIndicator"
                                           },
                                              "molecules" : [
                                                {
                                                  "moleculeName" : "carouselItem",
                                                 "backgroundColor":"red",
                                                  "molecule" : {
                                                    "moleculeName" : "label",
                                                    "text" : "1"
                                                  }
                                                },
                                                {
                                                  "moleculeName" : "carouselItem",
                                                 "backgroundColor":"blue",
                                                  "molecule" : {
                                                    "moleculeName" : "label",
                                                    "text" : "2"
                                                  }
                                                },
                                        {
                                                  "moleculeName" : "carouselItem",
                                                 "backgroundColor":"green",
                                                  "molecule" : {
                                                    "moleculeName" : "label",
                                                    "text" : "3"
                                                  }
                                                },
                                        {
                                                  "moleculeName" : "carouselItem",
                                                 "backgroundColor":"green",
                                                  "molecule" : {
                                                    "moleculeName" : "label",
                                                    "text" : "4"
                                                  }
                                                }
                                              ],
                                              "height" : 300
                                            }},{
                                                "moleculeName":"listItem",
                                                "molecule":{
                                                  "moleculeName" : "carousel",
                                                  "accessibilityText":"carousel",
                                                  "index": 0,
                                                  "selectedIndex": 0,
                                               "loop":true,
                                               "pagingMolecule": {
                                                   "moleculeName":"barsCarouselIndicator"
                                               },
                                                  "molecules" : [
                                                    {
                                                      "moleculeName" : "carouselItem",
                                                     "backgroundColor":"red",
                                                      "molecule" : {
                                                        "moleculeName" : "label",
                                                        "text" : "1"
                                                      }
                                                    },
                                                    {
                                                      "moleculeName" : "carouselItem",
                                                     "backgroundColor":"blue",
                                                      "molecule" : {
                                                        "moleculeName" : "label",
                                                        "text" : "2"
                                                      }
                                                    },
                                            {
                                                      "moleculeName" : "carouselItem",
                                                     "backgroundColor":"green",
                                                      "molecule" : {
                                                        "moleculeName" : "label",
                                                        "text" : "3"
                                                      }
                                                    }
                                                  ],
                                                  "height" : 300
                                                }},{
                                                    "moleculeName":"listItem",
                                                    "molecule":{
                                                      "moleculeName" : "carousel",
                                                      "accessibilityText":"carousel",
                                                      "fieldKey": "c1",
                                                      "index": 0,
                                                      "selectedIndex": 0,
                                                   "loop":true,
                                                   "pagingMolecule": {
                                                       "moleculeName":"barsCarouselIndicator",
                                                       "hidesForSinglePage": true
                                                   },
                                                      "molecules" : [
                                                        {
                                                          "moleculeName" : "carouselItem",
                                                         "backgroundColor":"red",
                                                          "molecule" : {
                                                            "moleculeName" : "label",
                                                            "text" : "1"
                                                          }
                                                        }
                                                      ],
                                                      "height" : 300
                                                    }},{
                                                        "moleculeName":"listItem",
                                                        "molecule":{
                                                          "moleculeName" : "carousel",
                                                          "accessibilityText":"carousel",
                                                          "fieldKey": "c1",
                                                          "index": 1,
                                                          "selectedindex": 1,
                                                       "loop":true,
                                                       "pagingMolecule": {
                                                           "moleculeName":"numericCarouselIndicator"
                                                       },
                                                          "molecules" : [
                                                            {
                                                              "moleculeName" : "carouselItem",
                                                             "backgroundColor":"red",
                                                              "molecule" : {
                                                                "moleculeName" : "label",
                                                                "text" : "1"
                                                              }
                                                            },
                                                            {
                                                              "moleculeName" : "carouselItem",
                                                             "backgroundColor":"blue",
                                                              "molecule" : {
                                                                "moleculeName" : "label",
                                                                "text" : "2"
                                                              }
                                                            },
                                                    {
                                                              "moleculeName" : "carouselItem",
                                                             "backgroundColor":"green",
                                                              "molecule" : {
                                                                "moleculeName" : "label",
                                                                "text" : "3"
                                                              }
                                                            }
                                                          ],
                                                          "height" : 300
                                                        }},{
                                                            "moleculeName":"listItem",
                                                            "molecule":{
                                                              "moleculeName" : "carousel",
                                                              "accessibilityText":"carousel",
                                                              "index": 0,
                                                              "selectedIndex": 0,
                                                           "loop":true,
                                                           "pagingMolecule": {
                                                               "moleculeName":"barsCarouselIndicator"
                                                           },
                                                              "molecules" : [
                                                                {
                                                                  "moleculeName" : "carouselItem",
                                                                 "backgroundColor":"red",
                                                                  "molecule" : {
                                                                    "moleculeName" : "label",
                                                                    "text" : "1"
                                                                  }
                                                                },
                                                                {
                                                                  "moleculeName" : "carouselItem",
                                                                 "backgroundColor":"blue",
                                                                  "molecule" : {
                                                                    "moleculeName" : "label",
                                                                    "text" : "2"
                                                                  }
                                                                },
                                                        {
                                                                  "moleculeName" : "carouselItem",
                                                                 "backgroundColor":"green",
                                                                  "molecule" : {
                                                                    "moleculeName" : "label",
                                                                    "text" : "3"
                                                                  }
                                                                }
                                                              ],
                                                              "height" : 300
                                                            }},
                                                        {
                                                            "moleculeName":"listItem",
                                                            "molecule":{
                                                              "moleculeName" : "carousel",
                                                              "accessibilityText":"carousel",
                                                              "index": 0,
                                                              "selectedIndex": 0,
                                                           "loop":true,
                                                           "pagingMolecule": {
                                                               "moleculeName":"barsCarouselIndicator"
                                                           },
                                                              "molecules" : [
                                                                {
                                                                  "moleculeName" : "carouselItem",
                                                                 "backgroundColor":"red",
                                                                  "molecule" : {
                                                                    "moleculeName" : "label",
                                                                    "text" : "1"
                                                                  }
                                                                }
                                                              ],
                                                              "height" : 300
                                                            }},
                                                        {
                                                            "moleculeName":"listItem",
                                                            "molecule":{
                                                              "moleculeName" : "carousel",
                                                              "accessibilityText":"carousel",
                                                              "selectedIndex": 0,
                                                           "loop":true,
                                                           "pagingMolecule": {
                                                               "moleculeName":"numericCarouselIndicator"
                                                           },
                                                              "molecules" : [
                                                                  {
                                                                    "moleculeName" : "carouselItem",
                                                                   "backgroundColor":"red",
                                                                    "molecule" : {
                                                                      "moleculeName" : "label",
                                                                      "text" : "0"
                                                                    }
                                                                  },
                                                                {
                                                                  "moleculeName" : "carouselItem",
                                                                 "backgroundColor":"red",
                                                                  "molecule" : {
                                                                    "moleculeName" : "label",
                                                                    "text" : "1"
                                                                  }
                                                                },
                                                                {
                                                                  "moleculeName" : "carouselItem",
                                                                 "backgroundColor":"blue",
                                                                  "molecule" : {
                                                                    "moleculeName" : "label",
                                                                    "text" : "2"
                                                                  }
                                                                },
                                                        {
                                                                  "moleculeName" : "carouselItem",
                                                                 "backgroundColor":"green",
                                                                  "molecule" : {
                                                                    "moleculeName" : "label",
                                                                    "text" : "3"
                                                                  }
                                                                }
                                                              ],
                                                              "height" : 300
                                                            }}],
    "footer" : {
      "moleculeName" : "footer",
      "molecule" : {
        "moleculeName" : "twoButtonView",
        "primaryButton" : {
          "moleculeName" : "button",
          "title" : "x",
          "groupName": "default",
          "action" : {
            "actionType" : "openPage",
            "pageType" : "verifyZip"
          }
        },
        "secondaryButton" : {
          "moleculeName" : "button",
          "title" : "x",
          "action" : {
            "actionType" : "back"
          }
        }
      }
    }
  }
}
